<bugID>561125<Summary>[meta][project] &#8220;Paper cut&#8221; issues</Summary><Description>For Firefox 4, we hope to address a lot of the issues with Firefox that cause user frustration and friction. This is based on feedback in the following Reddit thread:

http://www.reddit.com/r/AskReddit/comments/boipt/i_work_on_the_firefox_user_experience_team_and/

&#8230;and the related presentation on the &#8220;100 paper cuts&#8221; given by me here at Mozilla at the Design Lunch brownbag on April 22nd, 2010.

This is a meta-bug to track these issues as a project in itself.

Links to presentation slides/video about this + any related blog post will be added once they have been posted.

Don't add bugs to this meta-bug without checking with limi first! While there are a lot of issues that can be considered a &#8220;paper cut&#8221; issue, we need to keep this list manageable if it's going to be useful as a project. :)</Description></bugID>